Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class NumberRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.CellRecord
                      org.apache.poi.hssf.record.NumberRecord

All Implemented Interfaces:
  CellValueRecordInterface

    public final class NumberRecord

extends CellRecord

NUMBER (0x0203) Contains a numeric cell value.

REFERENCE: PG 334 Microsoft Excel 97 Developer's Kit (ISBN: 1-57231-498-2)

Author:
  Andrew C. Oliver (acoliver at apache dot org), Jason Height (jheight at chariot dot net dot au)

Field Summary
`static short` | `sid`

Constructor Summary
`NumberRecord()` Creates new NumberRecord
`NumberRecord(RecordInputStream in)`

Method Summary
`protected void` | `appendValueText(java.lang.StringBuilder sb)` Append specific debug info (used by `CellRecord.toString()` for the value contained in this record.
`java.lang.Object` | `clone()`
`protected java.lang.String` | `getRecordName()` Gets the debug info BIFF record type name (used by `CellRecord.toString()`.
`short` | `getSid()` return the non static version of the id for this record.
`double` | `getValue()` get the value for the cell
`protected int` | `getValueDataSize()`
`protected void` | `serializeValue(LittleEndianOutput out)` writes out the value data for this cell record
`void` | `setValue(double value)` set the value for the cell

Methods inherited from class org.apache.poi.hssf.record.CellRecord
`copyBaseFields, getColumn, getDataSize, getRow, getXFIndex, serialize, setColumn, setRow, setXFIndex, toString`

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### NumberRecord

    public NumberRecord()

  Creates new NumberRecord

### NumberRecord

    public NumberRecord(RecordInputStream in)

Parameters:
  `in` - the RecordInputstream to read the record from

Method Detail

### setValue

    public void setValue(double value)

  set the value for the cell

  Parameters:
    `value` - double representing the value

### getValue

    public double getValue()

  get the value for the cell

  Returns:
    double representing the value

### getRecordName

    protected java.lang.String getRecordName()

  Description copied from class: `CellRecord`
  Gets the debug info BIFF record type name (used by `CellRecord.toString()`.

  Specified by:
    `getRecordName` in class `CellRecord`

### appendValueText

    protected void appendValueText(java.lang.StringBuilder sb)

  Description copied from class: `CellRecord`
  Append specific debug info (used by `CellRecord.toString()` for the value contained in this record. Trailing new-line should not be appended (superclass does that).

  Specified by:
    `appendValueText` in class `CellRecord`

### serializeValue

    protected void serializeValue(LittleEndianOutput out)

  Description copied from class: `CellRecord`
  writes out the value data for this cell record

  Specified by:
    `serializeValue` in class `CellRecord`

### getValueDataSize

    protected int getValueDataSize()

  Specified by:
    `getValueDataSize` in class `CellRecord`
  Returns:
    the size (in bytes) of the value data for this cell record

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.